<!-- 机构类型选择下拉框 -->
<template>
  <el-select
    clearable
    :value="value"
    class="ele-fluid"
    :placeholder="placeholder"
    :default-expand-all="true"
    @input="updateValue"
  >
    <el-option
      v-for="item in data"
      :key="item.organizationId"
      :value="item.organizationId"
      :label="item.organizationName"
    />
  </el-select>
</template>

<script>
  import { listOrganizationParent } from '@/api/institution/organization';

  export default {
    props: {
      // 选中的数据(v-modal)
      value: null,
      // 提示信息
      placeholder: {
        type: String,
        default: '请选择机构'
      }
    },
    data() {
      return {
        // 机构类型数据
        data: []
      };
    },
    created() {
      /* 获取机构类型数据 */
      listOrganizationParent({
        parentId: 0
      })
        .then((list) => {
          this.data = list;
        })
        .catch((e) => {
          this.$message.error(e.message);
        });
    },
    methods: {
      /* 更新选中数据 */
      updateValue(value) {
        this.$emit('input', value);
      }
    }
  };
</script>
